Skip to Content
API ReferenceEvaluation

Evaluation API

Get Evaluation

GET /api/integration/interviews/:meetingCode/evaluation

Returns AI-generated evaluation scores and analysis for a completed interview.

Response

{ "recommendation": "PASS", "overallScore": 82, "communication": 85, "technical": 78, "cultureFit": 90, "questionEvaluations": [ { "question": "Tell me about your React experience", "score": 8, "feedback": "Strong understanding of React hooks and state management" } ] }

Fields

FieldTypeDescription
recommendationstringPASS | FAIL | REVIEW
overallScorenumber0-100 overall score
communicationnumber0-100 communication score
technicalnumber0-100 technical skills score
cultureFitnumber0-100 culture fit score
questionEvaluationsarrayPer-question scores and feedback

Trigger Analysis

POST /api/integration/interviews/:meetingCode/analyze

Re-runs AI analysis on a completed interview. Useful if you want to regenerate the evaluation.

Last updated on